/*
Function prototypes
*/
void PLLSetupBF(void);				//Sets up the Core Clock and System clock for BF
void SetupInterruptsBF(void);		//Sets up the interrupts for SPI and PF4 (IRQ)
void SetUpSlaveSelects(void); 		//Configure PF1, PF2 as output flags and drive them logic HIGH
void ResetSensor(void);		  		//Configure PF3 as an output, drive HIGH for at least 10usec and provide delay
void SetUpAndEnableSlowSPI(void);	//Configure and enable SPI, drive SSS/ LOW and provide delay
void SetUpAndEnableFastSPI(void);	//Configure and enable SPI, drive FSS/ LOW and provide delay
void SetupDMA(void);
void DisableSlowSPI(void);			//Check SPI FIFO status (empty), SPIF (transfer completed), Disable SPI and de-activate SSS/
void DisableFastSPI(void);			//Disable Fast SPI
void WriteSensorRegister(int CommandAndAddress, int value);		//
bool ReadSensorRegister(int CommandAndAddress);
void SetUpCommandArray(int CommandAndAddress, int value); 
void DelayMin1SckCycle(void);		//This is to take care of Trstsu, Tsssu
void RearrangeData(void);

EX_INTERRUPT_HANDLER (IsrSPI);
EX_INTERRUPT_HANDLER (IsrIRQ);
